package com.fdkankan.dxf.math;

public class MathArcUtil {

    // 根据圆的参数方程和圆上一个点的坐标，计算该点的角度
    // r：圆弧半径
    // (cx,cy)：圆弧的中心点
    // (x，y)：圆弧上某点的坐标
    public static Double calcArcPointAngle(double r, double cx, double cy, double x, double y){
        double res = Math.acos((x - cx)/r);
        if (Math.asin((y - cy)/r) < 0){
            res = -res;
        }
        return res / Math.PI * 180;
    }
}
